export interface GitHubRepository {
    owner: string;
    branch: string;
    name: string;
}
export declare const parseRepository: (repo: string) => GitHubRepository;
export declare const repoTypeCheck: (repo: string | GitHubRepository) => GitHubRepository;
export declare const getArchiveLink: (repo: string | GitHubRepository) => string;
export declare const cloneRepository: (repo: string | GitHubRepository, dest: string) => Promise<{}>;
